OS X MavericksでRubyGemsのThin Serverをインストール

このエントリーをはてなブックマークに追加
投稿者:chikunai 投稿日時:2014-08-04(月) 22:29

Mac OS XでRubyだと、通常rubyenvやanyenv、またはbrewなどパッケージツールを使って、RubyやRubyGemsをインストールするのが一般的なようです。

Google APIへアクセスするアプリケーションをRubyで開発した際、Mac OS X標準の環境で、どこまでインストールが出来るか試してみました。ちょうどRubyGemsでThin Serverをインストールしたくて失敗したための備忘録です。中々ネットに情報が転がっていませんでした。

  1. $ sudo gem install thin
  2.     Fetching: eventmachine-1.0.3.gem (100%)
  3.     Building native extensions.  This could take a while...
  4.     ERROR:  Error installing thin:
  5.             ERROR: Failed to build gem native extension.

Buildに必要なツールが無いようです。じゃあ、どうしたかというと、AppStoreで「Xcode」をインストールしただけでは、解決されません。Command Line Developer Toolsが必要なんです。以下コマンドを実行してください。

  1. $ xcode-select --install
  2. $ sudo xcodebuild -license

xcodebuild -licenseでは、ライセンス条項が表示されるので、スペースキーでページおくりし、最後にAgreeしてください。




コメント(0)

新しいコメントの投稿

このフィールドの内容は非公開にされ、公表されることはありません。
  • 使用できるHTMLタグ: <a> <em> <strong> <cite> <code> <ul> <ol> <li> <dl> <dt> <dd> <img> <table> <tr> <th> <td>
  • 行と段落は自動的に折り返されます。
  • You can use BBCode tags in the text. URLs will automatically be converted to links.
  • 次のタグを使用してソースコード構文をハイライトすることができます。: <code>, <blockcode> The supported tag styles are: <foo>, [foo].
  • You may insert videos with [video:URL]
  • ウェブページアドレスとメールアドレスは、自動的にハイパーリンクに変換されます。

書式オプションに関するより詳しい情報...

CAPTCHA
この問題はユーザが人間であるかどうかをテストし、スパムによる自動投稿を防ぐためのものです。
Image CAPTCHA
Enter the characters shown in the image.
Drupal theme by Kiwi Themes.